#-------------------------------------------------
#
# Project created by QtCreator 2017-08-08T11:52:55
#
#-------------------------------------------------

QT       += core gui concurrent sql network

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = sbkpay

include($$PWD/sbkpay.pri)

SOURCES +=  main.cpp

CONFIG += C++11 SBKDLL

#DEFINES += MOCK

include($$PWD/qtwinmigrate/src/qtwinmigrate.pri)

SBKDLL  {
    TEMPLATE     = lib
    DEFINES += SBKDLL
    CONFIG  += dll

} else {
    TEMPLATE = app
    DEFINES += FM_TEST
}

CONFIG(debug, debug|release) {
    DESTDIR = $$PWD/../debug/
} else {
    QMAKE_CXXFLAGS += /Zi
    QMAKE_LFLAGS_RELEASE += /DEBUG
    DESTDIR = $$PWD/../release/
}


LIBS += -luser32

RESOURCES += \
    res.qrc

RC_FILE = res/sbkpay.rc

HEADERS += \
    version.h
